Package org.pushingpixels.substance.internal.utils

# Class HashMapKey

java.lang.Object
org.pushingpixels.substance.internal.utils.HashMapKey

public class HashMapKey extends Object
Implementation of a key for the `LazyResettableHashMap`.

## Constructor Summary

Constructors
Constructor
Description
`HashMapKey(Object... fields)`
Creates a new key object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HashMapKey

public HashMapKey(Object... fields)
Creates a new key object.

Parameters:
  `fields` - Fields of the key object.

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`